Subject: Re: bug#33871: 27.0.50; Revert Dired window saved in window configuration

From: Juri Linkov <[email-masked]>
Date: Sat, 30 Mar 2024 20:19:03 +0200

>> +  "If this is non-nil, try to restore window points from their contexts.
>> +This will try to find the same position in the buffer where point was
>> +before switching away from this tab.  After selecting this tab,
>> +point will be moved to its previous place in the buffer even when
>> +the buffer was modified."
>
> "this window's point" instead of "point" and "position" instead of
> "place" would be more precise.

Ok:

(defcustom tab-bar-select-restore-context t
  "If this is non-nil, try to restore window points from their contexts.
This will try to find the same position in every window where point was
before switching away from this tab.  After selecting this tab,
point in every window will be moved to its previous position
in the buffer even when the buffer was modified."
  :type 'boolean
  :group 'tab-bar
  :version "30.1")